%define name    tuxmath
%define version 1.5.8
%define release 1mjk.mdv2008.0
%define summary educational arcade game for children.


Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         http://www.tux4kids.com
URL:            http://tuxtype.sourceforge.net/
License:        GPL
Group:          Games/Other
Packager:       Jaroslav Krejci <krejci@zstenis.com>

Source0:        %{name}-%{version}.tar.gz
Source1:	%{name}-icons.tar.gz
Patch1:		ace.diff
Patch2:		speed.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  SDL-devel SDL_ttf-devel SDL_mixer-devel SDL_image-devel
BuildRequires:	ImageMagick

%description
"Tux, of Math Command" ("TuxMath," for short) is an educational 
arcade game starring Tux, the Linux mascot.

Tux must defend his cities and he must do it by solving math problems.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%setup -q -T -D -a1 
%patch1
%patch2
autoreconf -fi
autoconf

%build

%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_datadir} \
		--localedir=%{_datadir}/locale \
		--docdir=%{_docdir} \
		--with-libintl-prefix=/lib

%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc/tuxmath

#mkdir -p %{buildroot}%{_docdir}/%{name}
#cp %{_topdir}/BUILD/%{name}-%{version}/docs/* %{buildroot}%{_docdir}/%{name}



mkdir -p %{buildroot}%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="More Applications/Games/Other" \
	title="TuxMath" \
	longtitle="%{Summary}" \
	xdg="true"
EOF

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=TuxMath
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;X-MandrivaLinux-MoreApplications-Games-Other;
EOF

%__install -D -m 644 %{name}-48x48.png %{buildroot}/%{_liconsdir}/%name.png
%__install -D -m 644 %{name}-32x32.png %{buildroot}/%{_iconsdir}/%name.png
%__install -D -m 644 %{name}-16x16.png %{buildroot}/%{_miconsdir}/%name.png

%find_lang %{name}

%pre

%post
%update_desktop_database
%update_menus

%postun
%clean_desktop_database
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_gamesbindir}/tuxmath
%{_datadir}/tuxmath/*
%{_datadir}/applications/mandriva-%{name}.desktop
%doc COPYING README NEWS


%changelog
* Thu Nov 15 2007 Jaroslav Krejci <krejci@zstenis.com> 1.5.8-1mjk.mdv2008.0
- new version
- added patches

* Mon Nov 12 2007 Jaroslav Krejci <krejci@zstenis.com> 1.5.7-3mjk.mdv2008.0
- 2007.Nov.11 (svn.debian.org/tux4kids - revision 316)
- specfile fixes

* Sun Nov 11 2007 Jaroslav Krejci <krejci@zstenis.com> 1.5.7-2mjk.mdv2008.0
- fix level speed
- czech localization by JardaK

* Wed Nov 07 2007 Jaroslav Krejci <krejci@zstenis.com> 1.5.7-1mjk.mdv2008.0
- new version
- specfile fixes

* Sun May 06 2007 Jaroslav Krejci <krejci@zstenis.com> 1.0.2-mdv2007.1mjk
- new version

* Wed Nov 15 2006 Jaroslav Krejci <krejci@zstenis.com> 1.0.1mjk
- new version

* Mon Apr 04 2005 Jaroslav Krejci <krejci@zstenis.com> 0.2001.09.07.1mjk
- first release
- compile with nosound parametr
